import java.util.*;
import javax.swing.*;

import static util.Util.*;

class CountryTranslator {

  public static void main(String[] args) {
    Locale[] loc = Locale.getAvailableLocales();
    Map<String, Locale> map = new HashMap<String, Locale>();
    String kraj;

    // Dodanie dostpnych lokalizacji do mapy
    // klucz: nazwa kraju po polsku, wartoc - lokalizacja
    for (int i=0; i<loc.length; i++) {
      String countryCode = loc[i].getCountry();  // kod kraju
      if (countryCode.equals("")) continue;
      kraj =  loc[i].getDisplayCountry();
      map.put(kraj, loc[i]);
    }

    String msg = "Podaj kraj";
    String in = "";
    while((kraj = ask(msg)) != null ) {
      // Pobieramy lokalizacj dla podanego kraju
      Locale savedLoc = (Locale) map.get(kraj);
      if (savedLoc == null) continue;
      msg = "Podaj kody jzykw, rozdzielone spacjami";
      while((in = JOptionPane.showInputDialog(null, msg, in)) != null ) {
        StringTokenizer st = new StringTokenizer(in);
        if (st.countTokens() == 0) continue;
        String rep = "Nazwa kraju " + kraj + ":\n";

        // Dla kolejnych kodw jzykw
        // uzyskujemy nazw kraju w jzyku odpowiadajcym
        // lokalizacji zwizanej z kodem jsyka
        while(st.hasMoreTokens()) {
          Locale lang = new Locale(st.nextToken());
          rep += lang.getDisplayLanguage() + "   =   " +
                 savedLoc.getDisplayCountry(lang) + "\n";
        }
      show(rep);
      }
      msg = "Podaj kraj";
    }
    System.exit(0);
  }

}